#! /bin/bash
if [ -x "$(command -v lua)" ]
then
	case $1 in
		"server")
			bin/server
			;;
		"client")
			bin/client
			;;	
		"--help")
			cat README.txt
			;;
		"--version")
			cat NOTIFY.txt
			;;	
		"")	
			bin/server
			bin/client
			;;
		*)
			cat README.txt
			;;
	esac
else
	echo -e "lua is required to run dragonblocks.\nYou can install it using \e[3msudo apt install liblua5.3-dev\e[0m"
fi
