#include <string>
#include <stdlib.h>
#include <iostream>
#include "node.h"
#include "game.h"
using namespace std;
Node *nodelist[1000];
int nextid = 0;
Node::Node(string n, int r, int g, int b){
	name = n;
	id = nextid;
	nodelist[id] = this;
	red = (float)r / 255;
	green =  (float)g / 255;
	blue = (float)b / 255;
	nextid++;
	}
Node *Node::getNodeById(int id){
	if(id < nextid){
		return nodelist[id];
		}
	return Node::getNodeByName("unknown");	
	}
Node *Node::getNodeByName(string name){
	for(int i = 0; i < nextid; i++){
		if(Node::getNodeById(i)->name == name){
			return Node::getNodeById(i);
			}
		}
	log("Node "+name+" not found",WARNING);	
	return Node::getNodeByName("unknown");		
	}	
void Node::nmap(){
	log("Nodemap for "+name+":",INFO);
	cout << "\tName: " << name << "\n";
	cout << "\tId: " << id << "\n";
	cout << "\tRed: " << red << "\n";
	cout << "\tGreen: " << green << "\n";
	cout << "\tBlue: " << blue << "\n";
	}
bool Node::operator==(Node *node){
	return id == node->id;
	}
